Parking Users
Update a Parking User
PATCH
/
billing-accounts
/
{baId}
/
parking-users
/
{puId}
Update a Parking User
curl --request PATCH \
--url https://partner.staging.ezprk.dev/billing-accounts/{baId}/parking-users/{puId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"licenseNumber": "<string>",
"parkingUserId": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"subscriptionAgreementId": 123,
"costCenter": "<string>",
"city": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"postalCode": "<string>",
"co": "<string>"
}
'import requests
url = "https://partner.staging.ezprk.dev/billing-accounts/{baId}/parking-users/{puId}"
payload = {
"licenseNumber": "<string>",
"parkingUserId": 123,
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"subscriptionAgreementId": 123,
"costCenter": "<string>",
"city": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"postalCode": "<string>",
"co": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
licenseNumber: '<string>',
parkingUserId: 123,
firstName: '<string>',
lastName: '<string>',
email: '<string>',
phoneNumber: '<string>',
subscriptionAgreementId: 123,
costCenter: '<string>',
city: '<string>',
street: '<string>',
houseNumber: '<string>',
postalCode: '<string>',
co: '<string>'
})
};
fetch('https://partner.staging.ezprk.dev/billing-accounts/{baId}/parking-users/{puId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
You can get the JWT from the Login endpoint.
Path Parameters
ID of the Billing Account.
ID of the Parking User.
Body
application/json
Must not be empty; must not be longer than 10 characters; must contain only numbers and uppercase letters
Must be a valid email address
Must be unique, must start with +, and contain only numerical digits
Response
200
OK
⌘I
Update a Parking User
